Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.adk.queue
Class IfsQueueMessageParameter

    java.lang.Object
      oracle.ifs.adk.queue.IfsQueueMessageParameter

All Implemented Interfaces:
  oracle.jdbc.internal.ObjectData, oracle.jdbc.internal.ObjectDataFactory, oracle.sql.ORAData, oracle.sql.ORADataFactory

    public class IfsQueueMessageParameter

extends java.lang.Object
implements oracle.sql.ORAData, oracle.sql.ORADataFactory

IfsQueueMessageParameter class is the java representation for the IFSQUEUEMESSAGEPARAMETER type that is used to represent a single parameter in the message payload.

(Published)

Field Summary
`static java.lang.String` | `DEFAULT_DATATYPE` If there is no data type value supplied, this will be used.

Constructor Summary
`IfsQueueMessageParameter()` Default constructor.
`IfsQueueMessageParameter(java.lang.String name, java.lang.String value)` Constructs the object with data type set to string.
`IfsQueueMessageParameter(java.lang.String name, java.lang.String value, java.lang.String type)` Constructor that takes arguments.

Method Summary
`oracle.sql.ORAData` | `create(oracle.sql.Datum d, int sqlType)` Implements the create method.
`java.lang.String` | `getDataType()` Returns the datatype of the parameter.
`static oracle.sql.ORADataFactory` | `getFactory()` Returns a factory object.
`java.lang.String` | `getName()` Returns the name of the parameter.
`java.lang.String` | `getValue()` Returns the value of the parameter.
`void` | `setDataType(java.lang.String dataType)` Sets the datatype of the parameter.
`void` | `setName(java.lang.String name)` Sets the name of the parameter.
`void` | `setValue(java.lang.String value)` Sets the value of the parameter.
`oracle.sql.Datum` | `toDatum(java.sql.Connection c)` Implements the toDatum method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DATATYPE

    public static final java.lang.String DEFAULT_DATATYPE

  Description copied from class: `IfsQueueMessageParameter`
  If there is no data type value supplied, this will be used.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### IfsQueueMessageParameter

    public IfsQueueMessageParameter()

  Default constructor.

  (Published)

### IfsQueueMessageParameter

    public IfsQueueMessageParameter(java.lang.String name,
                                    java.lang.String value,
                                    java.lang.String type)

  Constructor that takes arguments.

  Parameters:
    `name` - name of the parameter
    `value` - value of the parameter
    `type` - datatype of the parameter
  (Published)

### IfsQueueMessageParameter

    public IfsQueueMessageParameter(java.lang.String name,
                                    java.lang.String value)

  Constructs the object with data type set to string.

  Parameters:
    `name` - name of the parameter
    `value` - value of the parameter
  (Published)

Method Detail

### getFactory

    public static oracle.sql.ORADataFactory getFactory()

  Description copied from class: `IfsQueueMessageParameter`
  Returns a factory object.

  Returns:
    ORADataFactory
  (Published)

### toDatum

    public oracle.sql.Datum toDatum(java.sql.Connection c)
                             throws java.sql.SQLException

  Description copied from class: `IfsQueueMessageParameter`
  Implements the toDatum method.

  Specified by:
    `toDatum` in interface `oracle.sql.ORAData`
  Parameters:
    `c` - database connection
  Returns:
    Datum
  Throws:
    `java.sql.SQLException` - if the operation fails
  (Published)

### create

    public oracle.sql.ORAData create(oracle.sql.Datum d,
                                     int sqlType)
                              throws java.sql.SQLException

  Description copied from class: `IfsQueueMessageParameter`
  Implements the create method.

  Specified by:
    `create` in interface `oracle.sql.ORADataFactory`
  Parameters:
    `d` - Datum
    `sqlType` - type
  Returns:
    ORAData
  Throws:
    `java.sql.SQLException` - if the operation fails
  (Published)

### getName

    public java.lang.String getName()
                             throws IfsException

  Description copied from class: `IfsQueueMessageParameter`
  Returns the name of the parameter.

  Returns:
    name of the parameter
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setName

    public void setName(java.lang.String name)
                 throws IfsException

  Description copied from class: `IfsQueueMessageParameter`
  Sets the name of the parameter.

  Parameters:
    `name` - name of the parameter
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getValue

    public java.lang.String getValue()
                              throws IfsException

  Description copied from class: `IfsQueueMessageParameter`
  Returns the value of the parameter.

  Returns:
    value of the parameter
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public void setValue(java.lang.String value)
                  throws IfsException

  Description copied from class: `IfsQueueMessageParameter`
  Sets the value of the parameter.

  Parameters:
    `value` - value of the parameter
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDataType

    public java.lang.String getDataType()
                                 throws IfsException

  Description copied from class: `IfsQueueMessageParameter`
  Returns the datatype of the parameter.

  Returns:
    datatype of the parameter
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDataType

    public void setDataType(java.lang.String dataType)
                     throws IfsException

  Description copied from class: `IfsQueueMessageParameter`
  Sets the datatype of the parameter.

  Parameters:
    `dataType` - datatype of the parameter
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD